/*
 * file: 	crea_life.c
 * target:	crea lo stato iniziale di Life per Camelot a partire da un file di testo
 *
 */

#include <stdio.h>
#include <stdlib.h>

#define dim_x 501
#define dim_y 351

int main()
{
	//dichiarazioni
	float stato[dim_x][dim_y];
	char str[256], infile_path[1024], outfile_path[1024];
	int x=0, y=0;
	FILE *f;

	//input:
	printf("Nome file testo da convertire: ");
	scanf("%s", infile_path);
	printf("Nome file binario da scrivere: ");
	scanf("%s", outfile_path);
	
	//lettura file testo
	f=fopen(infile_path,"r");
	for(x=0; x<dim_x; x++)
		for (y=0; y<dim_y; y++)
		{
			fscanf(f,"%s",str);
			stato[x][y]=(float)atof(str);
		}
	fclose(f);

	//scrittura file binario
	f=fopen(outfile_path,"wb");
	for(x=0; x<dim_x; x++)
		for(y=0; y<dim_y; y++)
			fwrite(&stato[x][y], sizeof(float), 1, f);
	fclose(f);

	return 0;
}
